org.eclipse.jgit.util

## Class RawSubStringPattern

- java.lang.Object
- - org.eclipse.jgit.util.RawSubStringPattern

    public class RawSubStringPattern
    extends Object

Searches text using only substring search.

Instances are thread-safe. Multiple concurrent threads may perform matches on different character sequences at the same time.

### Constructor Summary

Constructors
Constructor and Description
`RawSubStringPattern(String patternText)` Construct a new substring pattern.

### Method Summary

Methods
`int` `match(RawCharSequence rcs)` Match a character sequence against this pattern.
`String` `pattern()` Get the literal pattern string this instance searches for.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RawSubStringPattern

    public RawSubStringPattern(String patternText)

Construct a new substring pattern.

Parameters:
  `patternText` - text to locate. This should be a literal string, as no meta-characters are supported by this implementation. The string may not be the empty string.

### Method Detail

#### match

    public int match(RawCharSequence rcs)

Match a character sequence against this pattern.

Parameters:
  `rcs` - the sequence to match. Must not be null but the length of the sequence is permitted to be 0.
Returns:
  offset within `rcs` of the first occurrence of this pattern; -1 if this pattern does not appear at any position of `rcs`.

#### pattern

    public String pattern()

Get the literal pattern string this instance searches for.

Returns:
  the pattern string given to our constructor.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`